<?php
// Taken from the AniS applet Documentation
// http://www.ssec.wisc.edu/visit/AniS/anisdoc.html
// The AniS applet is Copyright(C) 1999 by Tom Whittaker (http://www.ssec.wisc.edu/visit/AniS/)
// The WWW Interface Form for the applet was written by 
// Katherine A. Bouton  (K.A.Bouton@reading.ac.uk)
// July 4, 2003
// Center for Global Atmospheric Modelling (CGAM)
// Department of Meteorology
// University of Reading
//
?>
<html>
<head>
<title>AnimationS (AniS) Applet Controls Help</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
</head>
<body>
<H2>AnimationS (AniS) Applet Controls Help</H2>
<?php
if ($_GET['help']=="basename") {		
?>
<UL>
  <LI><strong>basename</strong><br>
   Using a "root" name, to which successive numbers are appended to create the actual filenames:
<xmp>
   <PARAM name="basename" value="file">
   <PARAM name="num_frames" value="4">
   <PARAM name="base_starting_number" value="0">
</xmp>
In this case, the root name is file and since there are 4 images specified with the numbering starting at 0, the actual filenames must be: file0, file1, file2, and file3. Please note that the default base_starting_number is zero, and so it would not have to specified in this case. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="filenames") {		
?>
<UL>
  	<LI><strong>basename</strong><br>
	Using the filenames themselvels:
	<xmp>
   <PARAM name="filenames" value="file0, file1, file2, file3">
	</xmp>
	</LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="filelist") {		
?>
<UL>
  <LI><strong>basename</strong><br>
   Using a "root" name, to which successive numbers are appended to create the actual filenames:
<xmp>
   <PARAM name="basename" value="file">
   <PARAM name="num_frames" value="4">
   <PARAM name="base_starting_number" value="0">
</xmp>
In this case, the root name is file and since there are 4 images specified with the numbering starting at 0, the actual filenames must be: file0, file1, file2, and file3. Please note that the default base_starting_number is zero, and so it would not have to specified in this case. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="startstop") {		
?>
<UL>
  <LI><strong>startstop</strong> is a button for starting and stopping the looping.
    If it is not specified, the loop will run forever. You may use the "rate" parameter
    to set the initial looping speed.</LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="looprock") {		
?>
<UL>
  <LI><strong>looprock</strong> is a button
    that is used to control whether a movie loop or a rock back-and-forth mode
    is used. The default is loop, but may be specified as rocking using the "rocking" parameter. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="step") {		
?>
<UL>
  <LI><strong>step</strong> creates two little buttons
    useful for single stepping, forward and backward. The left- and right-arrow
    keys on the keyboard may also be used for this purpose. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="firstlast") {		
?>
<UL>
  <LI><strong>firstlast</strong> creates
    two little buttons useful for going immediately to the first or last frame
    in the sequence. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="speed") {		
?>
<UL>
  <LI><strong>speed</strong> <a name="speed" id="speed"></a>is a slider that
    determines the animation rate. If not used, a default rate of 3 frames per
    second is used (unless overridden by the 'rate' parameter). </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="enhance") {		
?>
<UL>
  <LI><strong>enhance</strong> enables on-the-fly
    enhancements (colorizing) of the gray levels in the base images. When you
    specify this control, you must have defined a text file named enh.tab in
    the same directory as the HTML which contains the enhancement curves you
    want the user to be able to choose from. A sample is provided in the distribution.
    An attempt will be made to read this file, regardless of whether this control
    is specified or not. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="refresh") {		
?>
<UL>
  <LI><strong>refresh</strong> is a button
    that will attempt to force a reload of the image files, ignoring any cached
    images. This is useful for realtime data applications, where the contents
    of the image files may be changing. NOTE: If you are using the "file_of_filenames" method
    of naming the image files, it is very important not to change the total number
    of images if you change the contents of the "file_of_filenames". </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="auto_toggle") {		
?>
<UL>
  <LI><strong>auto_toggle</strong> is
    a button that will turn the auto refresh function on and off. If you have
    the ability to zoom or enhnace images, along with an auto refresh, you might
    want to include this button (when an auto refresh cycle happens, all zooming
    and enhancements are cancelled). </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="toggle") {		
?>
<UL>
  <LI><strong>toggle</strong> provides a way
    for the user to toggle images on and off. If you specify this control, a
    series of little colored boxed will be displayed on a separate line. As each
    frame is looped through, the box corresponding to the image will change color.
    If the user (left button) clicks on a box, she will disable it (clicking
    again will re-enable it). If the user (right button) clicks on a box, she
    will cause the program to show that frame. Note: you may set the width, height,
    and spacing of these boxes -- see the toggle_size parameter below. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="rotator") {		
?>
<UL>
  <LI><strong>rotator</strong> provides a
    different way of letting the user see what image in the sequence they are
    looking at...and to control which frame they are seeing. A circular widget
    is used, with a rotator 'arm' that will not only show the frame by it's angle
    (first frame is "North" pointing, and sucessive frames move the arm clockwise),
    but allows the user to select a frame by dragging the mouse around. There
    are two related <xmp>
    <param name=...>
    </xmp>parameters that can be used: name="rotator_labels" value=... (see below)
    for specifying up to 8 labels, and name="rotator_color" value=... for specifying
    the color of the rotator "arm"; the cirle and labels are always done using
    the foreground color. Normally, the rotator should not be used with the toggle. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="zoom") {		
?>
<UL>
  <LI><strong>zoom</strong> will provide a pixel-duplication
    zooming ability. When the 'zoom' button is clicked, the cursor will change
    shape. When the user clicks that on the image, it will be zoomed one factor
    (x2, x3, x4...) at the cursor location. After the first zoom, the button
    will be relabelled "un-zoom". Each clicking of "un-zoom" will back out one
    zoom level. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="fader") {		
?>
<UL>
  <LI><strong>fader</strong> will provide a slider
    for setting the "fade" level. You should NOT use this in combination with
    any of the first 4 controls (which allow for animating faded images when
    the "fade" parameter is set to 'true' and the 'fader' control is not specified). </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="overlay") {		
?>
<UL>
  <LI><strong>overlay</strong> provides one
    or more checkboxes that allows for images to be overlaid on the base image.
    Each box will be labelled according to the 'overlay_labels' parameter. You
    may also use "radio buttons" instead of checkboxes for some or all of these,
    using the 'overlay_radio' parameter. </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="framelabel") {		
?>
<UL>
  <LI><strong>framelabel</strong> provides
    a text field into which a label will be put for each image in a sequence
    of images. The text may be specified using the frame_label PARAM or from
    the file_of_filenames file (see below). </LI>
</UL>
<?php } ?>

<?php
if ($_GET['help']=="audio") {		
?>
<UL>
  <LI><strong>audio</strong> enables a button
    that allows an audio clip to be played. In order to use this option, you
    must also specify the audio_filename PARAM.</LI>
</UL>
<?php } ?>

<P><a href="javascript:window.close();">Close Window</a></P>

</body>
</html>
